/*
  $Header: data.c 3.3 87/12/12 00:40:38 Bob Exp $
     
                          The Conference Mail System

              This module was originally written by Bob Hartman
                       Sysop of FidoNet node 1:132/101

   Spark Software, 427-3 Amherst St, CS 2032, Suite 232, Nashua, NH 03061

 The Conference Mail System  is a  complete Echomail processing package.  It
 is a superset of the original  Echomail utilities created by Jeff Rush, and
 also contains ideas gleaned from the  ARCmail,  Renum,  oMMM, MGM, and Opus
 programs that were created by various software authors.

 This program source code is being released with the following provisions:

 1.  You are  free to make  changes to this source  code for use on your own
 machine,  however,  altered source files may not be distributed without the 
 consent of Spark Software.

 2.  You may distribute "patches"  or  "diff" files for any changes that you
 have made, provided that the "patch" or "diff" files are also sent to Spark
 Software for inclusion in future releases of the entire package.   A "diff"
 file for the source archives may also contain a compiled version,  provided
 it is  clearly marked as not  being created  from the original source code.
 No other  executable  versions may be  distributed without  the  consent of
 Spark Software.

 3.  You are free to include portions of this source code in any program you
 develop, providing:  a) Credit is given to Spark Software for any code that
 may is used, and  b) The resulting program is free to anyone wanting to use
 it, including commercial and government users.

 4.  There is  NO  technical support  available for dealing with this source
 code, or the accompanying executable files.  This source  code  is provided
 as is, with no warranty expressed or implied (I hate legalease).   In other
 words, if you don't know what to do with it,  don't use it,  and if you are
 brave enough to use it, you're on your own.

 Spark Software may be contacted by modem at (603) 888-8179 (node 1:132/101)
 on the public FidoNet network, or at the address given above.

 To use this code you will need Microsoft C version 4.0, and also Microsoft
 Macro Assembler version 4.0.

*/

/*
   $Log:	data.c $
 * Revision 3.3  87/12/12  00:40:38  Bob
 * Source code release
 * 
*/

#include <stdio.h>
#include <ctype.h>
#include <time.h>
#include "fastecho.h"

char tearline[40];
SEACONFIG config;
AREAS_PTR areas[MAXAREAS];
char board_name[128], sysop_name[128];
int tot_areas = 0;
char bbsfile[80];
char *arc_cmd[10];
int arc_args = 0;
int last_msg = -1;
int high_one = -1;
int mail_high = 0;
int convert = 0;
struct tm *t2;
struct _stamp cur_stamp;
struct _stamp zero_stamp = { 0, 0 };
int msgs_done;
int hwptr = 0;
char *SEENBYSTR = "SEEN-BY: ";
char *PATHSTR = "PATH: ";
PW_PTR pw[100];
int num_pw = 0;
int seadog = 0;
int quiet = 0;
int backup = 1;
int killnull = 0;
int killbad = 0;
char home[64];
char home1[64];
USR user;
SYS curr_system;
MSG msg_tmp, msg_tmp1;
int from_file = 0;


char *areaserr = "Out of memory compiling areas file - aborting\n";
char *open_err = "\n%s could not be opened - exiting\n";
char *pkt_err = "\nCould not open packet for %d/%d - starting to ARCmail\n";
char *opus_date = "%02d %3.3s %02d %02d:%02d:%02d";
char *fido_date = "%3.3s %2d %3.3s %02d %02d:%02d";
char *mspace_err = "Could not malloc() message space, aborting\n";
char *mnspace_err = "Could not malloc() message number space, aborting\n";
char *ntoss_err = "Node number %d/%d not tossable";
char *no_msgs = "No messages to process in message area '%s'\n";
char *krcvd = "\nKilling RCVD messages in area #%s : '%s'\n";
char *pass1 = "Pass 1: Scanning Messages already done\n";
char *kold = "\nKilling messages more than %ld days old in area #%s : '%s'\n";
char *rnum = "\nRenumbering messages in area #%s : '%s'\n";
char *knum = "\nKilling messages so %d are left after first %d messages in area #%s : '%s'\n";
char *noback = "\nIt seems that I can't change directories back to '%s'\n";
char *noareasbbs = "No AREAS file specified, using AREAS.BBS as default\n";
